## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libshumate
Version:        1.1.2
Release:        %autorelease
Summary:        GTK widget to display maps

# shumate/shumate-viewport.c and shumate/shumate-viewport.h are
# LGPL-2.0-or-later while the rest of the code is LGPL-2.1-or-later
License:        LGPL-2.1-or-later AND LGPL-2.0-or-later
URL:            https://gitlab.gnome.org/GNOME/libshumate
Source0:        https://download.gnome.org/sources/libshumate/1.1/libshumate-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gi-docgen)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vapigen)
# Support graphical tests in non-graphical environment
BuildRequires:  /usr/bin/dbus-launch
BuildRequires:  mesa-dri-drivers
BuildRequires:  xorg-x11-server-Xvfb

%description
libshumate is a GTK widget displaying interactive maps. Various map
sources can be used together with the possibility to draw custom
overlays, markers and lines on top of the maps. Bindings to other
languages are provided using GObject Introspection.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation files for %{name}
# urlmap.js is LGPL-2.1-or-later, generated html docs are (Apache-2.0 OR
# GPL-3.0-or-later) and misc other files are MIT
License:        LGPL-2.1-or-later AND (Apache-2.0 OR GPL-3.0-or-later) AND MIT
BuildArch:      noarch

%description    doc
This package contains developer documentation for %{name}.


%prep
%autosetup -p1 -n libshumate-%{tarball_version}


%build
%meson -Dlibsoup3=true
%meson_build


%install
%meson_install

%find_lang shumate1


# %check
# %{shrink:xvfb-run -w 10 -d %meson_test}


%files -f shumate1.lang
%license COPYING
%doc AUTHORS NEWS README.md
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Shumate-1.0.typelib
%{_libdir}/libshumate-1.0.so.1*

%files devel
%{_includedir}/shumate-1.0/
%{_libdir}/libshumate-1.0.so
%{_libdir}/pkgconfig/shumate-1.0.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Shumate-1.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/shumate-1.0.deps
%{_datadir}/vala/vapi/shumate-1.0.vapi

%files doc
%license COPYING
%{_docdir}/libshumate-1.0/


%changelog
* Thu Feb 15 2024 Peter Robinson <pbrobinson@gmail.com> - 1.1.2-4
- Disable tests as they currently fail

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Kalev Lember <klember@redhat.com> - 1.1.2-1
- Update to 1.1.2

* Sat Oct 21 2023 Kalev Lember <klember@redhat.com> - 1.1.1-1
- Update to 1.1.1

* Mon Sep 18 2023 Kalev Lember <klember@redhat.com> - 1.1.0-1
- Update to 1.1.0

* Tue Sep 05 2023 Kalev Lember <klember@redhat.com> - 1.1~rc-1
- Update to 1.1.rc

* Thu Aug 17 2023 Kalev Lember <klember@redhat.com> - 1.1~beta-1
- Update to 1.1.beta

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 19 2023 David King <amigadave@amigadave.com> - 1.0.5-1
- Update to 1.0.5 (#2221417)

* Mon Jul 17 2023 David King <amigadave@amigadave.com> - 1.0.4-1
- Update to 1.0.4

* Fri Mar 10 2023 Kalev Lember <klember@redhat.com> - 1.0.3-3
- Add missing buildrequires for self tests

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 Kalev Lember <klember@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Tue Nov 22 2022 Kalev Lember <klember@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Mon Sep 19 2022 Kalev Lember <klember@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Tue Sep 06 2022 Kalev Lember <klember@redhat.com> - 1.0.0~beta-1
- Update to 1.0.0.beta

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> - 1.0.0~alpha.1-6.20220818git7808f24
- Update to latest git snapshot

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> - 1.0.0~alpha.1-5
- Add %%check section with meson test (rhbz#2120272)

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> - 1.0.0~alpha.1-4
- Fix gir directory ownership

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> - 1.0.0~alpha.1-3
- Split developer docs out to -doc subpackage (rhbz#2120272)
- Fix license tag for the -doc subpackage

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> - 1.0.0~alpha.1-2
- Correct license tag to LGPL-2.1-or-later AND LGPL-2.0-or-later
  (rhbz#2120272)

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> - 1.0.0~alpha.1-1
- Initial Fedora packaging (rhbz#2120272)
